Page MenuHomePhabricator

[analyzer] print() JSONify: Constraints implementation
ClosedPublic

Authored by Charusso on May 17 2019, 2:25 PM.

Diff Detail

Repository
rC Clang

Event Timeline

Charusso created this revision.May 17 2019, 2:25 PM
NoQ added inline comments.May 17 2019, 4:04 PM
clang/lib/StaticAnalyzer/Core/RangeConstraintManager.cpp
780 ↗(On Diff #200101)

Let's be informative: "symbol": ..., "range": ...

Charusso updated this revision to Diff 201064.May 23 2019, 2:02 PM
  • Improved the JSON format.
NoQ accepted this revision.May 23 2019, 4:06 PM

Looks great!

This revision is now accepted and ready to land.May 23 2019, 4:06 PM
Charusso updated this revision to Diff 201570.May 27 2019, 1:43 PM
  • 100% pure JSON.
This revision was automatically updated to reflect the committed changes.